const mongoose = require('mongoose')

const advertisingLikeSchema = new mongoose.Schema({
  advertisingId: {
    type: mongoose.Schema.Types.ObjectId,
    ref: 'Advertising',
    required: true
  },
  userId: {
    type: mongoose.Schema.Types.ObjectId,
    ref: 'User',
    required: true
  }

})

// تعریف مدل AdvertisingLikeModel
const AdvertisingLikeModel = mongoose.model('AdvertisingLike', advertisingLikeSchema)

module.exports = AdvertisingLikeModel
